#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

int main(int argc, char **argv)
{
  int fd;
  char buf[2000];

  if (argc != 2) {
    fprintf(stderr, "usage: %s <file-to-open>\n", argv[0]);
    exit(1);
  }

  printf("Opening %s...\n", argv[1]);
  fd = open(argv[1], O_RDWR);
  if (fd >= 0)
    printf("Open successful.\n");
  else {
    perror(argv[1]);
    exit(0);
  }

  printf("Press return to close.");
  fgets(buf, 100, stdin);
  if (close(fd) == 0)
    printf("Close successful.\n");
  else
    perror(argv[1]);

  printf("Done\n");
  return 0;
}
  
