#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <string.h>

#include "fusd.h"

int return_zero(struct fusd_file_info *file)
{
  return 0;
}

ssize_t do_read(struct fusd_file_info *file, char *buffer, size_t length,
		loff_t *offset)
{
  memset(buffer, 0, length);
  return length;
}

int main(int argc, char *argv[])
{
  int fd;
  struct fusd_file_operations f = { open: return_zero, close: return_zero,
				    read: do_read };

  fd = fusd_register("zero-fusd", 0666, NULL, &f);

  if (fd < 0) {
    perror("trying to register /dev/zero-fusd");
    return 0;
  }

  printf("registered /dev/zero-fusd on fd %d\n", fd);
  fusd_run();
  return 0;
}




